/* 
 * File:   ipc.h
 * Author: Arthur Brandao
 *
 * Created on 21 décembre 2018
 */

#ifndef IPC_H
#define IPC_H

/* --- Include --- */
#include "constante.h"
#include "sem.h"
#include "shm.h"
#include "subdiv.h"

/* --- Structure --- */
typedef struct{
    shared_mem memoire;
    shared_mem gestionnaire;
    shared_mem global;
    semaphore sem;
}ipc_mysh;

/* --- Extern --- */
extern ipc_mysh ipc;

/* --- Fonctions --- */
boolean setup_ipc(char**);

boolean end_ipc();

#endif /* IPC_H */

